Subject: Help with hideshow
From: Yuan Fu <[email-masked]>
To: Bug Report Emacs <[email-masked]>
Date: Sun, 25 Dec 2022 01:24:44 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Is anyone familiar with hideshow? I tried to add tree-sitter support for it but didn’t quite make it. 

I just generalized some defun functions so that one can define a “thing” with a regexp that matches node types. So now it should be relatively straightforward for each major mode to define a “block” thing, like they do for defun, and a hideshow-treesitter bridge can use treesit-thing-at-point, treesit-beginning-of-thing, etc, to support hideshow.

It would be great if someone familiar with hideshow would like to give it a try, or educate me how to set hs-special-modes-alist.

On the separate note, I wonder if the hideshow support can go on the release branch.

Thanks,
Yuan